
_Init:

;MyProject.c,22 :: 		void Init()
;MyProject.c,24 :: 		ANSELA=0x00;
	CLRF       ANSELA+0
;MyProject.c,25 :: 		ANSELC=0x00;
	CLRF       ANSELC+0
;MyProject.c,26 :: 		UART1_Init(9600);                     //  UART 9600 bps
	BSF        BAUDCON+0, 3
	MOVLW      12
	MOVWF      SPBRG+0
	MOVLW      0
	MOVWF      SPBRG+1
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;MyProject.c,27 :: 		Delay_ms(100);
	MOVLW      17
	MOVWF      R12
	MOVLW      58
	MOVWF      R13
L_Init0:
	DECFSZ     R13, 1
	GOTO       L_Init0
	DECFSZ     R12, 1
	GOTO       L_Init0
	NOP
;MyProject.c,28 :: 		RXDTSEL_bit=1;
	BSF        RXDTSEL_bit+0, BitPos(RXDTSEL_bit+0)
;MyProject.c,29 :: 		TXCKSEL_bit=1;
	BSF        TXCKSEL_bit+0, BitPos(TXCKSEL_bit+0)
;MyProject.c,30 :: 		PORTA=0x00;                           //  
	CLRF       PORTA+0
;MyProject.c,31 :: 		PORTC=0x00;
	CLRF       PORTC+0
;MyProject.c,32 :: 		LATA=0;
	CLRF       LATA+0
;MyProject.c,33 :: 		LATC=0;
	CLRF       LATC+0
;MyProject.c,34 :: 		TRISA=0b11001110;
	MOVLW      206
	MOVWF      TRISA+0
;MyProject.c,35 :: 		TRISC=0b11011111;
	MOVLW      223
	MOVWF      TRISC+0
;MyProject.c,37 :: 		T2CON=0b01001000;                     //  1:1  1:10
	MOVLW      72
	MOVWF      T2CON+0
;MyProject.c,38 :: 		PR2=249;                              //      20
	MOVLW      249
	MOVWF      PR2+0
;MyProject.c,39 :: 		PIR1.TMR2IF=0;                        //    
	BCF        PIR1+0, 1
;MyProject.c,40 :: 		PIE1.TMR2IE=1;                        //    
	BSF        PIE1+0, 1
;MyProject.c,41 :: 		T2CON.TMR2ON=0;                       //  
	BCF        T2CON+0, 2
;MyProject.c,43 :: 		T4CON=0b01111010;                     //  1:1  1:10
	MOVLW      122
	MOVWF      T4CON+0
;MyProject.c,44 :: 		PR4=48;                              //      20
	MOVLW      48
	MOVWF      PR4+0
;MyProject.c,45 :: 		PIR3.TMR4IF=0;                        //    
	BCF        PIR3+0, 1
;MyProject.c,46 :: 		PIE3.TMR4IE=1;                        //    
	BSF        PIE3+0, 1
;MyProject.c,47 :: 		T4CON.TMR4ON=0;                       //  
	BCF        T4CON+0, 2
;MyProject.c,49 :: 		T6CON=0b01111010;                     //  1:1  1:10
	MOVLW      122
	MOVWF      T6CON+0
;MyProject.c,50 :: 		PR6=48;                              //      20
	MOVLW      48
	MOVWF      PR6+0
;MyProject.c,51 :: 		PIR3.TMR6IF=0;                        //    
	BCF        PIR3+0, 3
;MyProject.c,52 :: 		PIE3.TMR6IE=1;                        //    
	BSF        PIE3+0, 3
;MyProject.c,53 :: 		T6CON.TMR6ON=0;                       //  
	BCF        T6CON+0, 2
;MyProject.c,55 :: 		INTCON.PEIE=1;                        //    
	BSF        INTCON+0, 6
;MyProject.c,56 :: 		INTCON.GIE=1;                         //  
	BSF        INTCON+0, 7
;MyProject.c,57 :: 		srand(EEPROM_Read(255));              //        EEPROM
	MOVLW      255
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0, 0
	MOVWF      FARG_srand_x+0
	CLRF       FARG_srand_x+1
	CALL       _srand+0
;MyProject.c,58 :: 		}
L_end_Init:
	RETURN
; end of _Init

_LoadMem:

;MyProject.c,59 :: 		void LoadMem()                          //   
;MyProject.c,61 :: 		CntAdr=0;
	CLRF       _CntAdr+0
	CLRF       _CntAdr+1
;MyProject.c,62 :: 		while (B_USBDET==0)                   //    USB
L_LoadMem1:
	BTFSC      RC2_bit+0, BitPos(RC2_bit+0)
	GOTO       L_LoadMem2
;MyProject.c,64 :: 		if (UART1_Data_Ready())            //   
	CALL       _UART1_Data_Ready+0
	MOVF       R0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_LoadMem3
;MyProject.c,66 :: 		UartTmp = UART1_Read();          //  
	CALL       _UART1_Read+0
	MOVF       R0, 0
	MOVWF      _UartTmp+0
;MyProject.c,67 :: 		EEPROM_Write(CntAdr,UartTmp);    //     
	MOVF       _CntAdr+0, 0
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       R0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;MyProject.c,68 :: 		CntAdr++;                        //  
	INCF       _CntAdr+0, 1
	BTFSC      STATUS+0, 2
	INCF       _CntAdr+1, 1
;MyProject.c,69 :: 		}
L_LoadMem3:
;MyProject.c,70 :: 		if (CntAdr>=252)                   //    252 
	MOVLW      0
	SUBWF      _CntAdr+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__LoadMem119
	MOVLW      252
	SUBWF      _CntAdr+0, 0
L__LoadMem119:
	BTFSS      STATUS+0, 0
	GOTO       L_LoadMem4
;MyProject.c,71 :: 		{break;}                         //  
	GOTO       L_LoadMem2
L_LoadMem4:
;MyProject.c,72 :: 		}
	GOTO       L_LoadMem1
L_LoadMem2:
;MyProject.c,73 :: 		}
L_end_LoadMem:
	RETURN
; end of _LoadMem

_ReadConfig:

;MyProject.c,74 :: 		ReadConfig()                            //   
;MyProject.c,76 :: 		Speed=EEPROM_Read(0);                  //  
	CLRF       FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0, 0
	MOVWF      _Speed+0
;MyProject.c,77 :: 		switch (Speed)                         //     
	GOTO       L_ReadConfig5
;MyProject.c,79 :: 		case 0:  PR4=255; PR6=255; break;     // 2  WPM
L_ReadConfig7:
	MOVLW      255
	MOVWF      PR4+0
	MOVLW      255
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,80 :: 		case 1:  PR4=194; PR6=194; break;     // 3
L_ReadConfig8:
	MOVLW      194
	MOVWF      PR4+0
	MOVLW      194
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,81 :: 		case 2:  PR4=145; PR6=145; break;     // 4
L_ReadConfig9:
	MOVLW      145
	MOVWF      PR4+0
	MOVLW      145
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,82 :: 		case 3:  PR4=116; PR6=116; break;     // 5
L_ReadConfig10:
	MOVLW      116
	MOVWF      PR4+0
	MOVLW      116
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,83 :: 		case 4:  PR4=97;  PR6=97; break;     // 6
L_ReadConfig11:
	MOVLW      97
	MOVWF      PR4+0
	MOVLW      97
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,84 :: 		case 5:  PR4=82;  PR6=82; break;     // 7
L_ReadConfig12:
	MOVLW      82
	MOVWF      PR4+0
	MOVLW      82
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,85 :: 		case 6:  PR4=72;  PR6=72; break;     // 8
L_ReadConfig13:
	MOVLW      72
	MOVWF      PR4+0
	MOVLW      72
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,86 :: 		case 7:  PR4=62;  PR6=62; break;     // 9
L_ReadConfig14:
	MOVLW      62
	MOVWF      PR4+0
	MOVLW      62
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,87 :: 		case 8:  PR4=58;  PR6=58; break;     // 10
L_ReadConfig15:
	MOVLW      58
	MOVWF      PR4+0
	MOVLW      58
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,88 :: 		case 9:  PR4=53;  PR6=53; break;     // 11
L_ReadConfig16:
	MOVLW      53
	MOVWF      PR4+0
	MOVLW      53
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,89 :: 		case 10: PR4=48;  PR6=48; break;    // 12
L_ReadConfig17:
	MOVLW      48
	MOVWF      PR4+0
	MOVLW      48
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,90 :: 		case 11: PR4=43;  PR6=43; break;    // 13
L_ReadConfig18:
	MOVLW      43
	MOVWF      PR4+0
	MOVLW      43
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,91 :: 		case 12: PR4=40;  PR6=40; break;    // 14
L_ReadConfig19:
	MOVLW      40
	MOVWF      PR4+0
	MOVLW      40
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,92 :: 		case 13: PR4=38;  PR6=38; break;    // 15
L_ReadConfig20:
	MOVLW      38
	MOVWF      PR4+0
	MOVLW      38
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,93 :: 		case 14: PR4=36;  PR6=36; break;    // 16
L_ReadConfig21:
	MOVLW      36
	MOVWF      PR4+0
	MOVLW      36
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,94 :: 		case 15: PR4=33;  PR6=33; break;    // 17
L_ReadConfig22:
	MOVLW      33
	MOVWF      PR4+0
	MOVLW      33
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,95 :: 		case 16: PR4=31;  PR6=31; break;    // 18
L_ReadConfig23:
	MOVLW      31
	MOVWF      PR4+0
	MOVLW      31
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,96 :: 		case 17: PR4=29;  PR6=29; break;    // 19
L_ReadConfig24:
	MOVLW      29
	MOVWF      PR4+0
	MOVLW      29
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,97 :: 		case 18: PR4=28;  PR6=28; break;    // 20
L_ReadConfig25:
	MOVLW      28
	MOVWF      PR4+0
	MOVLW      28
	MOVWF      PR6+0
	GOTO       L_ReadConfig6
;MyProject.c,98 :: 		}
L_ReadConfig5:
	MOVF       _Speed+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig7
	MOVF       _Speed+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig8
	MOVF       _Speed+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig9
	MOVF       _Speed+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig10
	MOVF       _Speed+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig11
	MOVF       _Speed+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig12
	MOVF       _Speed+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig13
	MOVF       _Speed+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig14
	MOVF       _Speed+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig15
	MOVF       _Speed+0, 0
	XORLW      9
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig16
	MOVF       _Speed+0, 0
	XORLW      10
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig17
	MOVF       _Speed+0, 0
	XORLW      11
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig18
	MOVF       _Speed+0, 0
	XORLW      12
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig19
	MOVF       _Speed+0, 0
	XORLW      13
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig20
	MOVF       _Speed+0, 0
	XORLW      14
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig21
	MOVF       _Speed+0, 0
	XORLW      15
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig22
	MOVF       _Speed+0, 0
	XORLW      16
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig23
	MOVF       _Speed+0, 0
	XORLW      17
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig24
	MOVF       _Speed+0, 0
	XORLW      18
	BTFSC      STATUS+0, 2
	GOTO       L_ReadConfig25
L_ReadConfig6:
;MyProject.c,99 :: 		Time=0;
	CLRF       _Time+0
	CLRF       _Time+1
	CLRF       _Time+2
	CLRF       _Time+3
;MyProject.c,100 :: 		Time=EEPROM_Read(1);                   //    
	MOVLW      1
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0, 0
	MOVWF      _Time+0
	CLRF       _Time+1
	CLRF       _Time+2
	CLRF       _Time+3
;MyProject.c,102 :: 		Time+=EEPROM_Read(2);
	MOVLW      2
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVLW      0
	MOVWF      R1
	MOVWF      R2
	MOVWF      R3
	MOVF       _Time+0, 0
	ADDWF      R0, 1
	MOVF       _Time+1, 0
	ADDWFC     R1, 1
	MOVF       _Time+2, 0
	ADDWFC     R2, 1
	MOVF       _Time+3, 0
	ADDWFC     R3, 1
	MOVF       R0, 0
	MOVWF      _Time+0
	MOVF       R1, 0
	MOVWF      _Time+1
	MOVF       R2, 0
	MOVWF      _Time+2
	MOVF       R3, 0
	MOVWF      _Time+3
;MyProject.c,103 :: 		Time*=1000;                            //   
	MOVLW      232
	MOVWF      R4
	MOVLW      3
	MOVWF      R5
	CLRF       R6
	CLRF       R7
	CALL       _Mul_32x32_U+0
	MOVF       R0, 0
	MOVWF      _Time+0
	MOVF       R1, 0
	MOVWF      _Time+1
	MOVF       R2, 0
	MOVWF      _Time+2
	MOVF       R3, 0
	MOVWF      _Time+3
;MyProject.c,104 :: 		if (Time==0)                           //   0 
	MOVLW      0
	MOVWF      R4
	XORWF      R3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ReadConfig121
	MOVF       R4, 0
	XORWF      R2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ReadConfig121
	MOVF       R4, 0
	XORWF      R1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ReadConfig121
	MOVF       R0, 0
	XORLW      0
L__ReadConfig121:
	BTFSS      STATUS+0, 2
	GOTO       L_ReadConfig26
;MyProject.c,105 :: 		{Time=500;}                            //   
	MOVLW      244
	MOVWF      _Time+0
	MOVLW      1
	MOVWF      _Time+1
	CLRF       _Time+2
	CLRF       _Time+3
L_ReadConfig26:
;MyProject.c,106 :: 		CountSumb=EEPROM_Read(3);              //   
	MOVLW      3
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0, 0
	MOVWF      _CountSumb+0
;MyProject.c,107 :: 		RndFlag=EEPROM_Read(4);                //     
	MOVLW      4
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0, 0
	MOVWF      _RndFlag+0
;MyProject.c,109 :: 		if (RndFlag==0x2A)                     //   - 
	MOVF       R0, 0
	XORLW      42
	BTFSS      STATUS+0, 2
	GOTO       L_ReadConfig27
;MyProject.c,111 :: 		unsigned int TmpRnd=0;             //    
;MyProject.c,112 :: 		TmpRnd=0 + rand() % ((255 + 1) - 0);
	CALL       _rand+0
	MOVLW      0
	MOVWF      R4
	MOVLW      1
	MOVWF      R5
	CALL       _Div_16x16_S+0
	MOVF       R8, 0
	MOVWF      R0
	MOVF       R9, 0
	MOVWF      R1
;MyProject.c,113 :: 		RndSumb=TmpRnd;
	MOVF       R0, 0
	MOVWF      _RndSumb+0
;MyProject.c,114 :: 		EEPROM_Write(255,RndSumb);         //      
	MOVLW      255
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       R0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;MyProject.c,116 :: 		}
L_ReadConfig27:
;MyProject.c,117 :: 		}
L_end_ReadConfig:
	RETURN
; end of _ReadConfig

_TimeDot:

;MyProject.c,118 :: 		void TimeDot()                          //    
;MyProject.c,120 :: 		B_TimeDot=0;                          //    
	BCF        _B_TimeDot+0, BitPos(_B_TimeDot+0)
;MyProject.c,121 :: 		T4CON.TMR4ON=1;                       //  
	BSF        T4CON+0, 2
;MyProject.c,122 :: 		while (B_TimeDot==0) {asm{ nop;}}     //     
L_TimeDot28:
	BTFSC      _B_TimeDot+0, BitPos(_B_TimeDot+0)
	GOTO       L_TimeDot29
	NOP
	GOTO       L_TimeDot28
L_TimeDot29:
;MyProject.c,123 :: 		}
L_end_TimeDot:
	RETURN
; end of _TimeDot

_TimeDash:

;MyProject.c,124 :: 		void TimeDash()                         //    
;MyProject.c,126 :: 		B_TimeDash=0;                         //    
	BCF        _B_TimeDash+0, BitPos(_B_TimeDash+0)
;MyProject.c,127 :: 		CntTimeDash=0;                        //    
	CLRF       _CntTimeDash+0
;MyProject.c,128 :: 		T6CON.TMR6ON=1;                       //   
	BSF        T6CON+0, 2
;MyProject.c,129 :: 		while (B_TimeDash==0) {asm{ nop;}}    //     
L_TimeDash30:
	BTFSC      _B_TimeDash+0, BitPos(_B_TimeDash+0)
	GOTO       L_TimeDash31
	NOP
	GOTO       L_TimeDash30
L_TimeDash31:
;MyProject.c,130 :: 		}
L_end_TimeDash:
	RETURN
; end of _TimeDash

_Dot:

;MyProject.c,131 :: 		void Dot()                              //   
;MyProject.c,133 :: 		B_CWKEY=1;                            //  
	BSF        RA5_bit+0, BitPos(RA5_bit+0)
;MyProject.c,134 :: 		B_MONI=1;                             //  
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
;MyProject.c,135 :: 		TimeDot();                            //     
	CALL       _TimeDot+0
;MyProject.c,136 :: 		B_CWKEY=0;                            //  
	BCF        RA5_bit+0, BitPos(RA5_bit+0)
;MyProject.c,137 :: 		B_MONI=0;                             //  
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
;MyProject.c,138 :: 		TimeDot();                            //   (  )
	CALL       _TimeDot+0
;MyProject.c,139 :: 		}
L_end_Dot:
	RETURN
; end of _Dot

_Dash:

;MyProject.c,140 :: 		void Dash()                             //   
;MyProject.c,142 :: 		B_CWKEY=1;                            //  
	BSF        RA5_bit+0, BitPos(RA5_bit+0)
;MyProject.c,143 :: 		B_MONI=1;                             //  
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
;MyProject.c,144 :: 		TimeDash();                           //     
	CALL       _TimeDash+0
;MyProject.c,145 :: 		B_CWKEY=0;                            //  
	BCF        RA5_bit+0, BitPos(RA5_bit+0)
;MyProject.c,146 :: 		B_MONI=0;                             //  
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
;MyProject.c,147 :: 		TimeDot();                            //   (  )
	CALL       _TimeDot+0
;MyProject.c,148 :: 		}
L_end_Dash:
	RETURN
; end of _Dash

_PlaySumbol:

;MyProject.c,149 :: 		void PlaySumbol(unsigned short Sumb)    //  
;MyProject.c,151 :: 		switch (Sumb)                         //     
	GOTO       L_PlaySumbol32
;MyProject.c,153 :: 		case 48: Dash(); Dash(); Dash(); Dash(); Dash(); TimeDash(); break;   // 0
L_PlaySumbol34:
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,154 :: 		case 49: Dot(); Dash(); Dash(); Dash(); Dash(); TimeDash(); break;    // 1
L_PlaySumbol35:
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,155 :: 		case 50: Dot(); Dot(); Dash(); Dash(); Dash(); TimeDash(); break;     // 2
L_PlaySumbol36:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,156 :: 		case 51: Dot(); Dot(); Dot(); Dash(); Dash(); TimeDash(); break;      // 3
L_PlaySumbol37:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,157 :: 		case 52: Dot(); Dot(); Dot(); Dot(); Dash(); TimeDash(); break;       // 4
L_PlaySumbol38:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,158 :: 		case 53: Dot(); Dot(); Dot(); Dot(); Dot(); TimeDash(); break;        // 5
L_PlaySumbol39:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,159 :: 		case 54: Dash(); Dot(); Dot(); Dot(); Dot(); TimeDash(); break;       // 6
L_PlaySumbol40:
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,160 :: 		case 55: Dash(); Dash(); Dot(); Dot(); Dot(); TimeDash(); break;      // 7
L_PlaySumbol41:
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,161 :: 		case 56: Dash(); Dash(); Dash(); Dot(); Dot(); TimeDash(); break;     // 8
L_PlaySumbol42:
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,162 :: 		case 57: Dash(); Dash(); Dash(); Dash(); Dot(); TimeDash(); break;    // 9
L_PlaySumbol43:
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,163 :: 		case 65: Dot(); Dash(); TimeDash(); break;                            // A
L_PlaySumbol44:
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,164 :: 		case 66: Dash(); Dot(); Dot(); Dot(); TimeDash(); break;              // B
L_PlaySumbol45:
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,165 :: 		case 67: Dash(); Dot(); Dash(); Dot(); TimeDash(); break;             // C
L_PlaySumbol46:
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,166 :: 		case 68: Dash(); Dot(); Dot(); TimeDash(); break;                     // D
L_PlaySumbol47:
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,167 :: 		case 69: Dot(); TimeDash(); break;                                    // E
L_PlaySumbol48:
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,168 :: 		case 70: Dot(); Dot(); Dash(); Dot(); TimeDash(); break;              // F
L_PlaySumbol49:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,169 :: 		case 71: Dash(); Dash(); Dot(); TimeDash(); break;                    // G
L_PlaySumbol50:
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,170 :: 		case 72: Dot(); Dot(); Dot(); Dot(); TimeDash(); break;               // H
L_PlaySumbol51:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,171 :: 		case 73: Dot(); Dot(); TimeDash(); break;                             // I
L_PlaySumbol52:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,172 :: 		case 74: Dot(); Dash(); Dash(); Dash(); TimeDash(); break;            // J
L_PlaySumbol53:
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,173 :: 		case 75: Dash(); Dot(); Dash(); TimeDash(); break;                    // K
L_PlaySumbol54:
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,174 :: 		case 76: Dot(); Dash(); Dot(); Dot(); TimeDash(); break;              // L
L_PlaySumbol55:
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,175 :: 		case 77: Dash(); Dash(); TimeDash(); break;                           // M
L_PlaySumbol56:
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,176 :: 		case 78: Dash(); Dot(); TimeDash(); break;                            // N
L_PlaySumbol57:
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,177 :: 		case 79: Dash(); Dash(); Dash(); TimeDash(); break;                   // O
L_PlaySumbol58:
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,178 :: 		case 80: Dot(); Dash(); Dash(); Dot(); TimeDash(); break;             // P
L_PlaySumbol59:
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,179 :: 		case 81: Dash(); Dash(); Dot(); Dash(); TimeDash(); break;            // Q
L_PlaySumbol60:
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,180 :: 		case 82: Dot(); Dash(); Dot(); TimeDash(); break;                     // R
L_PlaySumbol61:
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,181 :: 		case 83: Dot(); Dot(); Dot(); TimeDash(); break;                      // S
L_PlaySumbol62:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,182 :: 		case 84: Dash(); TimeDash(); break;                                   // T
L_PlaySumbol63:
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,183 :: 		case 85: Dot(); Dot(); Dash(); TimeDash(); break;                     // U
L_PlaySumbol64:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,184 :: 		case 86: Dot(); Dot(); Dot(); Dash(); TimeDash(); break;              // V
L_PlaySumbol65:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,185 :: 		case 87: Dot(); Dash(); Dash(); TimeDash(); break;                    // W
L_PlaySumbol66:
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,186 :: 		case 88: Dash(); Dot(); Dot(); Dash(); TimeDash(); break;             // X
L_PlaySumbol67:
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,187 :: 		case 89: Dash(); Dot(); Dash(); Dash(); TimeDash(); break;            // Y
L_PlaySumbol68:
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,188 :: 		case 90: Dash(); Dash(); Dot(); Dot(); TimeDash(); break;             // Z
L_PlaySumbol69:
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,189 :: 		case 91: Dash(); Dash(); Dash(); Dash(); Dash(); TimeDash(); break;   // 0
L_PlaySumbol70:
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,190 :: 		case 92: Dot(); Dash(); Dash(); Dash(); Dash(); TimeDash(); break;    // 1
L_PlaySumbol71:
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,191 :: 		case 93: Dot(); Dot(); Dash(); Dash(); Dash(); TimeDash(); break;     // 2
L_PlaySumbol72:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,192 :: 		case 94: Dot(); Dot(); Dot(); Dash(); Dash(); TimeDash(); break;      // 3
L_PlaySumbol73:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,193 :: 		case 95: Dot(); Dot(); Dot(); Dot(); Dash(); TimeDash(); break;       // 4
L_PlaySumbol74:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,194 :: 		case 96: Dot(); Dot(); Dot(); Dot(); Dot(); TimeDash(); break;        // 5
L_PlaySumbol75:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,195 :: 		case 97: Dash(); Dot(); Dot(); Dot(); Dot(); TimeDash(); break;       // 6
L_PlaySumbol76:
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,196 :: 		case 98: Dash(); Dash(); Dot(); Dot(); Dot(); TimeDash(); break;      // 7
L_PlaySumbol77:
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,197 :: 		case 99: Dash(); Dash(); Dash(); Dot(); Dot(); TimeDash(); break;     // 8
L_PlaySumbol78:
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,198 :: 		case 100:Dash(); Dash(); Dash(); Dash(); Dot(); TimeDash(); break;    // 9
L_PlaySumbol79:
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,199 :: 		case 63: Dot(); Dot(); Dash(); Dash(); Dot(); Dot(); TimeDash(); break; // ?
L_PlaySumbol80:
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,200 :: 		case 47: Dash(); Dot(); Dot(); Dash(); Dot(); TimeDash(); break;      // /
L_PlaySumbol81:
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _Dot+0
	CALL       _Dash+0
	CALL       _Dot+0
	CALL       _TimeDash+0
	GOTO       L_PlaySumbol33
;MyProject.c,201 :: 		case 32: TimeDash(); TimeDash(); TimeDot(); break;                    // 
L_PlaySumbol82:
	CALL       _TimeDash+0
	CALL       _TimeDash+0
	CALL       _TimeDot+0
	GOTO       L_PlaySumbol33
;MyProject.c,202 :: 		case 45: B_CWKEY=1; B_MONI=1; Delay_ms(5000); B_CWKEY=0; B_MONI=0; TimeDot(); break; // -   5 
L_PlaySumbol83:
	BSF        RA5_bit+0, BitPos(RA5_bit+0)
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
	MOVLW      4
	MOVWF      R11
	MOVLW      44
	MOVWF      R12
	MOVLW      171
	MOVWF      R13
L_PlaySumbol84:
	DECFSZ     R13, 1
	GOTO       L_PlaySumbol84
	DECFSZ     R12, 1
	GOTO       L_PlaySumbol84
	DECFSZ     R11, 1
	GOTO       L_PlaySumbol84
	NOP
	NOP
	BCF        RA5_bit+0, BitPos(RA5_bit+0)
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	CALL       _TimeDot+0
	GOTO       L_PlaySumbol33
;MyProject.c,203 :: 		case 61: B_CWKEY=1; B_MONI=1; Delay_ms(10000); B_CWKEY=0; B_MONI=0; TimeDot(); break; // =   10 
L_PlaySumbol85:
	BSF        RA5_bit+0, BitPos(RA5_bit+0)
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
	MOVLW      7
	MOVWF      R11
	MOVLW      88
	MOVWF      R12
	MOVLW      89
	MOVWF      R13
L_PlaySumbol86:
	DECFSZ     R13, 1
	GOTO       L_PlaySumbol86
	DECFSZ     R12, 1
	GOTO       L_PlaySumbol86
	DECFSZ     R11, 1
	GOTO       L_PlaySumbol86
	NOP
	NOP
	BCF        RA5_bit+0, BitPos(RA5_bit+0)
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	CALL       _TimeDot+0
	GOTO       L_PlaySumbol33
;MyProject.c,204 :: 		default: break;
L_PlaySumbol87:
	GOTO       L_PlaySumbol33
;MyProject.c,205 :: 		}
L_PlaySumbol32:
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      48
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol34
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      49
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol35
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      50
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol36
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      51
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol37
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      52
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol38
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      53
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol39
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      54
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol40
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      55
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol41
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      56
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol42
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      57
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol43
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      65
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol44
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      66
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol45
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      67
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol46
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      68
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol47
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      69
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol48
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      70
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol49
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      71
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol50
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      72
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol51
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      73
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol52
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      74
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol53
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      75
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol54
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      76
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol55
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      77
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol56
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      78
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol57
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      79
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol58
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      80
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol59
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      81
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol60
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      82
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol61
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      83
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol62
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      84
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol63
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      85
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol64
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      86
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol65
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      87
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol66
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      88
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol67
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      89
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol68
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      90
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol69
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      91
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol70
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      92
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol71
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      93
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol72
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      94
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol73
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      95
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol74
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      96
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol75
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      97
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol76
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      98
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol77
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      99
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol78
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      100
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol79
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      63
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol80
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      47
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol81
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      32
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol82
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      45
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol83
	MOVF       FARG_PlaySumbol_Sumb+0, 0
	XORLW      61
	BTFSC      STATUS+0, 2
	GOTO       L_PlaySumbol85
	GOTO       L_PlaySumbol87
L_PlaySumbol33:
;MyProject.c,206 :: 		}
L_end_PlaySumbol:
	RETURN
; end of _PlaySumbol

_PlayMsg:

;MyProject.c,207 :: 		void PlayMsg()                          //  
;MyProject.c,209 :: 		B_PTT=1;                              //  
	BSF        RA4_bit+0, BitPos(RA4_bit+0)
;MyProject.c,210 :: 		Delay_ms(10);
	MOVLW      2
	MOVWF      R12
	MOVLW      158
	MOVWF      R13
L_PlayMsg88:
	DECFSZ     R13, 1
	GOTO       L_PlayMsg88
	DECFSZ     R12, 1
	GOTO       L_PlayMsg88
	NOP
;MyProject.c,212 :: 		for (CntSumb=0; CntSumb<CountSumb+1; CntSumb++)
	CLRF       _CntSumb+0
L_PlayMsg89:
	MOVF       _CountSumb+0, 0
	ADDLW      1
	MOVWF      R1
	CLRF       R2
	MOVLW      0
	ADDWFC     R2, 1
	MOVLW      128
	MOVWF      R0
	MOVLW      128
	XORWF      R2, 0
	SUBWF      R0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__PlayMsg128
	MOVF       R1, 0
	SUBWF      _CntSumb+0, 0
L__PlayMsg128:
	BTFSC      STATUS+0, 0
	GOTO       L_PlayMsg90
;MyProject.c,214 :: 		Sumb=EEPROM_Read(CntSumb+3);        //   
	MOVLW      3
	ADDWF      _CntSumb+0, 0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0, 0
	MOVWF      _Sumb+0
;MyProject.c,215 :: 		PlaySumbol(Sumb);                   //  
	MOVF       R0, 0
	MOVWF      FARG_PlaySumbol_Sumb+0
	CALL       _PlaySumbol+0
;MyProject.c,212 :: 		for (CntSumb=0; CntSumb<CountSumb+1; CntSumb++)
	INCF       _CntSumb+0, 1
;MyProject.c,216 :: 		}
	GOTO       L_PlayMsg89
L_PlayMsg90:
;MyProject.c,217 :: 		Delay_ms(10);
	MOVLW      2
	MOVWF      R12
	MOVLW      158
	MOVWF      R13
L_PlayMsg92:
	DECFSZ     R13, 1
	GOTO       L_PlayMsg92
	DECFSZ     R12, 1
	GOTO       L_PlayMsg92
	NOP
;MyProject.c,218 :: 		B_PTT=0;                              //  
	BCF        RA4_bit+0, BitPos(RA4_bit+0)
;MyProject.c,219 :: 		CntTime=0;                            //   
	CLRF       _CntTime+0
	CLRF       _CntTime+1
	CLRF       _CntTime+2
	CLRF       _CntTime+3
;MyProject.c,220 :: 		T2CON.TMR2ON=1;                       //   
	BSF        T2CON+0, 2
;MyProject.c,221 :: 		}
L_end_PlayMsg:
	RETURN
; end of _PlayMsg

_GetRndNum:

;MyProject.c,222 :: 		unsigned char GetRndNum()
;MyProject.c,224 :: 		unsigned int TmpRnd=0;
;MyProject.c,225 :: 		TmpRnd=65 + rand() % ((100 + 1) - 65);
	CALL       _rand+0
	MOVLW      36
	MOVWF      R4
	MOVLW      0
	MOVWF      R5
	CALL       _Div_16x16_S+0
	MOVF       R8, 0
	MOVWF      R0
	MOVF       R9, 0
	MOVWF      R1
	MOVLW      65
	ADDWF      R0, 1
	MOVLW      0
	ADDWFC     R1, 1
;MyProject.c,226 :: 		RndSumb=TmpRnd;
	MOVF       R0, 0
	MOVWF      _RndSumb+0
;MyProject.c,227 :: 		}
L_end_GetRndNum:
	RETURN
; end of _GetRndNum

_interrupt:

;MyProject.c,229 :: 		void interrupt()
;MyProject.c,231 :: 		if (PIR1.TMR2IF)                      //   
	BTFSS      PIR1+0, 1
	GOTO       L_interrupt93
;MyProject.c,233 :: 		CntTime+=20;                       //   20 
	MOVLW      20
	ADDWF      _CntTime+0, 0
	MOVWF      R1
	MOVLW      0
	ADDWFC     _CntTime+1, 0
	MOVWF      R2
	MOVLW      0
	ADDWFC     _CntTime+2, 0
	MOVWF      R3
	MOVLW      0
	ADDWFC     _CntTime+3, 0
	MOVWF      R4
	MOVF       R1, 0
	MOVWF      _CntTime+0
	MOVF       R2, 0
	MOVWF      _CntTime+1
	MOVF       R3, 0
	MOVWF      _CntTime+2
	MOVF       R4, 0
	MOVWF      _CntTime+3
;MyProject.c,234 :: 		if (CntTime>=Time)                 //   
	MOVF       _Time+3, 0
	SUBWF      R4, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt132
	MOVF       _Time+2, 0
	SUBWF      R3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt132
	MOVF       _Time+1, 0
	SUBWF      R2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt132
	MOVF       _Time+0, 0
	SUBWF      R1, 0
L__interrupt132:
	BTFSS      STATUS+0, 0
	GOTO       L_interrupt94
;MyProject.c,236 :: 		B_TimeEnd=1;                     //   
	BSF        _B_TimeEnd+0, BitPos(_B_TimeEnd+0)
;MyProject.c,237 :: 		T2CON.TMR2ON=0;                  //   
	BCF        T2CON+0, 2
;MyProject.c,238 :: 		}
L_interrupt94:
;MyProject.c,239 :: 		PIR1.TMR2IF=0;                     //     
	BCF        PIR1+0, 1
;MyProject.c,240 :: 		}
L_interrupt93:
;MyProject.c,241 :: 		if (PIR3.TMR4IF)                      //   
	BTFSS      PIR3+0, 1
	GOTO       L_interrupt95
;MyProject.c,243 :: 		T4CON.TMR4ON=0;                    //  
	BCF        T4CON+0, 2
;MyProject.c,244 :: 		B_TimeDot=1;                       //   
	BSF        _B_TimeDot+0, BitPos(_B_TimeDot+0)
;MyProject.c,245 :: 		PIR3.TMR4IF=0;                     //     
	BCF        PIR3+0, 1
;MyProject.c,246 :: 		}
L_interrupt95:
;MyProject.c,247 :: 		if (PIR3.TMR6IF)                      //   
	BTFSS      PIR3+0, 3
	GOTO       L_interrupt96
;MyProject.c,249 :: 		CntTimeDash++;                     //  
	INCF       _CntTimeDash+0, 1
;MyProject.c,250 :: 		if (CntTimeDash>=3)                //    
	MOVLW      3
	SUBWF      _CntTimeDash+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_interrupt97
;MyProject.c,252 :: 		T6CON.TMR6ON=0;                  //  
	BCF        T6CON+0, 2
;MyProject.c,253 :: 		B_TimeDash=1;                    //   
	BSF        _B_TimeDash+0, BitPos(_B_TimeDash+0)
;MyProject.c,254 :: 		}
L_interrupt97:
;MyProject.c,255 :: 		PIR3.TMR6IF=0;                     //     
	BCF        PIR3+0, 3
;MyProject.c,256 :: 		}
L_interrupt96:
;MyProject.c,257 :: 		}
L_end_interrupt:
L__interrupt131:
	RETFIE     %s
; end of _interrupt

_main:

;MyProject.c,259 :: 		void main()                             //  
;MyProject.c,261 :: 		Init();
	CALL       _Init+0
;MyProject.c,262 :: 		ReadConfig();                         //  
	CALL       _ReadConfig+0
;MyProject.c,263 :: 		while(1)
L_main98:
;MyProject.c,265 :: 		if (B_USBDET==0)                   //    -  
	BTFSC      RC2_bit+0, BitPos(RC2_bit+0)
	GOTO       L_main100
;MyProject.c,267 :: 		if (UART1_Data_Ready())          //    
	CALL       _UART1_Data_Ready+0
	MOVF       R0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main101
;MyProject.c,269 :: 		UartTmp = UART1_Read();        //    USART
	CALL       _UART1_Read+0
	MOVF       R0, 0
	MOVWF      _UartTmp+0
;MyProject.c,270 :: 		if (UartTmp==0x52)             //    "R"
	MOVF       R0, 0
	XORLW      82
	BTFSS      STATUS+0, 2
	GOTO       L_main102
;MyProject.c,272 :: 		Uart1_Write(0x52);           //  "R"
	MOVLW      82
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;MyProject.c,273 :: 		LoadMem();                   //    
	CALL       _LoadMem+0
;MyProject.c,274 :: 		ReadConfig();
	CALL       _ReadConfig+0
;MyProject.c,275 :: 		}
L_main102:
;MyProject.c,276 :: 		}
L_main101:
;MyProject.c,277 :: 		}
L_main100:
;MyProject.c,278 :: 		if ((B_USBDET==1) && (RndFlag!=0x2A))                   //  
	BTFSS      RC2_bit+0, BitPos(RC2_bit+0)
	GOTO       L_main105
	MOVF       _RndFlag+0, 0
	XORLW      42
	BTFSC      STATUS+0, 2
	GOTO       L_main105
L__main116:
;MyProject.c,280 :: 		if (T2CON.TMR2ON==0)             //      -   
	BTFSC      T2CON+0, 2
	GOTO       L_main106
;MyProject.c,282 :: 		B_TimeEnd=1;                   //    
	BSF        _B_TimeEnd+0, BitPos(_B_TimeEnd+0)
;MyProject.c,283 :: 		}
L_main106:
;MyProject.c,284 :: 		if (B_TimeEnd==1)                //    
	BTFSS      _B_TimeEnd+0, BitPos(_B_TimeEnd+0)
	GOTO       L_main107
;MyProject.c,286 :: 		PlayMsg();                     //  
	CALL       _PlayMsg+0
;MyProject.c,287 :: 		B_TimeEnd=0;
	BCF        _B_TimeEnd+0, BitPos(_B_TimeEnd+0)
;MyProject.c,288 :: 		T2CON.TMR2ON=1;
	BSF        T2CON+0, 2
;MyProject.c,289 :: 		}
L_main107:
;MyProject.c,290 :: 		}
L_main105:
;MyProject.c,291 :: 		if ((B_USBDET==1) && (RndFlag==0x2A))                   //   -  
	BTFSS      RC2_bit+0, BitPos(RC2_bit+0)
	GOTO       L_main110
	MOVF       _RndFlag+0, 0
	XORLW      42
	BTFSS      STATUS+0, 2
	GOTO       L_main110
L__main115:
;MyProject.c,293 :: 		B_PTT=1;                       //  
	BSF        RA4_bit+0, BitPos(RA4_bit+0)
;MyProject.c,294 :: 		Delay_ms(10);
	MOVLW      2
	MOVWF      R12
	MOVLW      158
	MOVWF      R13
L_main111:
	DECFSZ     R13, 1
	GOTO       L_main111
	DECFSZ     R12, 1
	GOTO       L_main111
	NOP
;MyProject.c,295 :: 		while (B_USBDET==1)            //     
L_main112:
	BTFSS      RC2_bit+0, BitPos(RC2_bit+0)
	GOTO       L_main113
;MyProject.c,297 :: 		GetRndNum();
	CALL       _GetRndNum+0
;MyProject.c,298 :: 		PlaySumbol(RndSumb);
	MOVF       _RndSumb+0, 0
	MOVWF      FARG_PlaySumbol_Sumb+0
	CALL       _PlaySumbol+0
;MyProject.c,299 :: 		GetRndNum();
	CALL       _GetRndNum+0
;MyProject.c,300 :: 		PlaySumbol(RndSumb);
	MOVF       _RndSumb+0, 0
	MOVWF      FARG_PlaySumbol_Sumb+0
	CALL       _PlaySumbol+0
;MyProject.c,301 :: 		GetRndNum();
	CALL       _GetRndNum+0
;MyProject.c,302 :: 		PlaySumbol(RndSumb);
	MOVF       _RndSumb+0, 0
	MOVWF      FARG_PlaySumbol_Sumb+0
	CALL       _PlaySumbol+0
;MyProject.c,303 :: 		GetRndNum();
	CALL       _GetRndNum+0
;MyProject.c,304 :: 		PlaySumbol(RndSumb);
	MOVF       _RndSumb+0, 0
	MOVWF      FARG_PlaySumbol_Sumb+0
	CALL       _PlaySumbol+0
;MyProject.c,305 :: 		GetRndNum();
	CALL       _GetRndNum+0
;MyProject.c,306 :: 		PlaySumbol(RndSumb);
	MOVF       _RndSumb+0, 0
	MOVWF      FARG_PlaySumbol_Sumb+0
	CALL       _PlaySumbol+0
;MyProject.c,307 :: 		PlaySumbol(32);            //  
	MOVLW      32
	MOVWF      FARG_PlaySumbol_Sumb+0
	CALL       _PlaySumbol+0
;MyProject.c,308 :: 		}
	GOTO       L_main112
L_main113:
;MyProject.c,309 :: 		B_PTT=0;                                   //  
	BCF        RA4_bit+0, BitPos(RA4_bit+0)
;MyProject.c,310 :: 		Delay_ms(10);
	MOVLW      2
	MOVWF      R12
	MOVLW      158
	MOVWF      R13
L_main114:
	DECFSZ     R13, 1
	GOTO       L_main114
	DECFSZ     R12, 1
	GOTO       L_main114
	NOP
;MyProject.c,311 :: 		}
L_main110:
;MyProject.c,312 :: 		}
	GOTO       L_main98
;MyProject.c,313 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
